## org.apache.bcel.verifier.exc
Class LoadingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                      org.apache.bcel.verifier.exc.LoadingException

All Implemented Interfaces:
  Serializable

    public class LoadingException

extends VerifierConstraintViolatedException

When loading a class file, BCEL will throw an instance of LoadingException if the class file is malformed; so it is not conforming to the "Pass 1" verification process as described in the Java Virtual Machine specification, 2nd. edition.

Version:
  $Id: LoadingException.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`LoadingException()` Constructs a new LoadingException with null as its error message string.
`LoadingException(String message)` Constructs a new LoadingException with the specified error message.

Method Summary

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadingException

    public LoadingException()

  Constructs a new LoadingException with null as its error message string.

### LoadingException

    public LoadingException(String message)

  Constructs a new LoadingException with the specified error message.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.